Update Workflow Webhook
curl --request PATCH \
--url https://api-prod.interactly.ai/workflows/v1/workflow-webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"actions": [],
"enabled": true,
"bearer_token": "<string>",
"clear_bearer_token": false,
"timeout_seconds": 30,
"max_retries": 5,
"retry_backoff_seconds": 150
}
'import requests
url = "https://api-prod.interactly.ai/workflows/v1/workflow-webhooks/{webhook_id}"
payload = {
"name": "<string>",
"url": "<string>",
"actions": [],
"enabled": True,
"bearer_token": "<string>",
"clear_bearer_token": False,
"timeout_seconds": 30,
"max_retries": 5,
"retry_backoff_seconds": 150
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
actions: [],
enabled: true,
bearer_token: '<string>',
clear_bearer_token: false,
timeout_seconds: 30,
max_retries: 5,
retry_backoff_seconds: 150
})
};
fetch('https://api-prod.interactly.ai/workflows/v1/workflow-webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"actions": [],
"enabled": true,
"has_bearer_token": true,
"timeout_seconds": 123,
"max_retries": 123,
"retry_backoff_seconds": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflow Webhooks
Update Workflow Webhook
PATCH
/
workflows
/
v1
/
workflow-webhooks
/
{webhook_id}
Update Workflow Webhook
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Required string length:
1 - 150Required string length:
1 - 2048Available options:
workflow_created, workflow_updated, workflow_deleted, workflow_run_started, workflow_run_completed Maximum string length:
2000Required range:
1 <= x <= 60Required range:
0 <= x <= 10Required range:
1 <= x <= 300Response
Successful Response
Available options:
workflow_created, workflow_updated, workflow_deleted, workflow_run_started, workflow_run_completed ⌘I